Failed to connect to my firebase

hello guys
please help
whenever I try to connect the app to firebase , it keep showing this error
##""" Could not parse the android application Module’s Gradle Config"""

Hi @said,

This issue is caused because of unstable Gradle plugin. Please try to clean the project or delete .idea folder and rebuild the project again. Hope this will resolve your issue.

If you are still facing the issue please share the project-level and app-level build.gradle file

hello mate ,
still showing the same error …please have a look

apply plugin: ‘com.android.application’

android {
compileSdkVersion 29
defaultConfig {
applicationId “com.cometchat.pro.androiduikit”
minSdkVersion 21
targetSdkVersion 29
versionCode 1
renderscriptSupportModeEnabled true
multiDexEnabled true
versionName “1.0”
testInstrumentationRunner “androidx.test.runner.AndroidJUnitRunner”

    manifestPlaceholders = [file_provider: "com.cometchat.pro.androiduikit"]

    ndk {
        abiFilters "armeabi-v7a", "x86"
    }
}
dataBinding {
    enabled = true
}

compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
    }

}
lintOptions {
    checkReleaseBuilds false
    // Or, if you prefer, you can continue to check for errors in release builds,
    // but continue the build even when errors are found:
    abortOnError false
}

}

dependencies {
implementation fileTree(dir: ‘libs’, include: [’*.jar’])
implementation ‘androidx.appcompat:appcompat:1.0.2’
implementation ‘androidx.constraintlayout:constraintlayout:1.1.3’
implementation ‘androidx.legacy:legacy-support-v4:1.0.0’
implementation ‘androidx.navigation:navigation-fragment:2.0.0’
implementation ‘androidx.navigation:navigation-ui:2.0.0’
implementation ‘androidx.lifecycle:lifecycle-extensions:2.0.0’
testImplementation ‘junit:junit:4.12’
implementation ‘androidx.recyclerview:recyclerview:1.0.0’
androidTestImplementation ‘androidx.test:runner:1.1.1’
androidTestImplementation ‘androidx.test.espresso:espresso-core:3.1.1’
implementation project(path: ‘:uikit’)

implementation 'com.google.android.material:material:1.2.0-alpha05'
implementation 'com.facebook.shimmer:shimmer:0.4.0'

//
implementation ‘com.cometchat:pro-android-chat-sdk:2.0.6’
}

Hi @said,

We checked our at our end with the gradle file you shared and it’s working fine.

This issue is related to Android Studio Gradle Plugin. Can you please try to clean the gradle cache of your Android Studio and try again.?

1 Like

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.